## $Id: export.py 16786 2022-02-08 21:35:52Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Exporters for applicant-related stuff.
"""
import grok
from waeup.kofa.applicants.interfaces import IApplicantBaseData
from waeup.kofa.utils.helpers import iface_names
from waeup.kofa.applicants.export import ApplicantRefereeReportExporter
from kofacustom.nigeria.applicants.export import NigeriaApplicantExporter
from kofacustom.nigeria.applicants.interfaces import (
    INigeriaUGApplicant, INigeriaPGApplicant)
from waeup.aaue.applicants.interfaces import (
    ICustomUGApplicant, ITranscriptApplicant, ICertificateRequest,
    ICustomApplicantRefereeReport)

class CustomApplicantExporter(NigeriaApplicantExporter):
    """Exporter for Nigeria Applicants.
    """

    fields = tuple(sorted(set(
        iface_names(ICustomUGApplicant) +
        #iface_names(INigeriaUGApplicant) +
        iface_names(INigeriaPGApplicant) +
        iface_names(IApplicantBaseData) +
        iface_names(ITranscriptApplicant) +
        iface_names(ICertificateRequest)
        ))) + (
        'password', 'state', 'history', 'container_code', 'application_number',
        'display_fullname', 'application_date')

class CustomApplicantRefereeReportExporter(ApplicantRefereeReportExporter):

    fields = tuple(sorted(iface_names(
        ICustomApplicantRefereeReport,
        exclude_attribs=False))) + (
              'applicant_id',
              'reg_number',
              'display_fullname',)

